curl --request GET \
--url https://api.openpulse.cloud/v1/pipeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openpulse.cloud/v1/pipeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openpulse.cloud/v1/pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openpulse.cloud/v1/pipeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openpulse.cloud/v1/pipeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openpulse.cloud/v1/pipeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openpulse.cloud/v1/pipeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"orgId": "<string>",
"signalId": "<string>",
"stage": "new",
"enteredStageAt": "2023-11-07T05:31:56Z",
"stageFirstAt": {},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"signalTitle": "<string>",
"signalClassification": "high_intent",
"signalScore": 50,
"signalCategory": "direct_intent",
"signalUrgency": "low",
"signalUrl": "<string>",
"signalSource": "x",
"signalSummary": "<string>",
"accountKey": "<string>",
"ownerUserId": "<string>",
"dealValueMinor": 1,
"currency": "<string>",
"lostReason": "<string>",
"contact": {
"name": "<string>",
"role": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}{
"message": "<string>",
"code": "plan_required",
"plan": "op_go"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}List deals
Every deal in the workspace’s pipeline with its stage, cursor-paginated. The board shows all columns at once by fetching pages until they are exhausted; do the same rather than assuming one response is the whole pipeline.
curl --request GET \
--url https://api.openpulse.cloud/v1/pipeline \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openpulse.cloud/v1/pipeline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openpulse.cloud/v1/pipeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openpulse.cloud/v1/pipeline",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.openpulse.cloud/v1/pipeline"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.openpulse.cloud/v1/pipeline")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openpulse.cloud/v1/pipeline")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"orgId": "<string>",
"signalId": "<string>",
"stage": "new",
"enteredStageAt": "2023-11-07T05:31:56Z",
"stageFirstAt": {},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"signalTitle": "<string>",
"signalClassification": "high_intent",
"signalScore": 50,
"signalCategory": "direct_intent",
"signalUrgency": "low",
"signalUrl": "<string>",
"signalSource": "x",
"signalSummary": "<string>",
"accountKey": "<string>",
"ownerUserId": "<string>",
"dealValueMinor": 1,
"currency": "<string>",
"lostReason": "<string>",
"contact": {
"name": "<string>",
"role": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"closedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}{
"message": "<string>",
"code": "plan_required",
"plan": "op_go"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}{
"message": "<string>",
"code": "<string>",
"detail": "<unknown>"
}Authorizations
A workspace API key, created in workspace settings and sent as Authorization: Bearer op_live_…. Session cookies are not accepted. Scopes: signals:read, accounts:read, listeners:read, listeners:analyse, pipeline:read, pipeline:write, collections:write, export:read.
Query Parameters
Page size, 1–200. Defaults to 50. Values outside the range are clamped rather than rejected.
1 <= x <= 200nextCursor from the previous page. An unreadable cursor is ignored and the first page is returned, so check nextCursor for null rather than looping until a page comes back empty.
Response
Deals most-recently-updated first. One page is not the pipeline — the board shows every column by fetching until nextCursor is null, and anything summing a single page is summing an arbitrary slice of it.
One page of deals, newest or strongest first depending on the endpoint.
Was this page helpful?